---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md)

## SocketIoControllerFactory class

A factory to instantiate socket.io controllers

**Signature:**

```typescript
export declare class SocketIoControllerFactory 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(parentCtx, controllerClass, socket)](./socketio.socketiocontrollerfactory._constructor_.md) |  | Constructs a new instance of the <code>SocketIoControllerFactory</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [connCtx](./socketio.socketiocontrollerfactory.connctx.md) | <code>readonly</code> | [SocketIoConnectionContext](./socketio.socketioconnectioncontext.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [connect()](./socketio.socketiocontrollerfactory.connect.md) |  |  |
|  [create()](./socketio.socketiocontrollerfactory.create.md) |  |  |
|  [getAllMethodMetadataForKey(metadataAccessor)](./socketio.socketiocontrollerfactory.getallmethodmetadataforkey.md) | <code>protected</code> |  |
|  [getCallback(methodName)](./socketio.socketiocontrollerfactory.getcallback.md) |  |  |
|  [getDecoratedMethodsForConnect()](./socketio.socketiocontrollerfactory.getdecoratedmethodsforconnect.md) |  |  |
|  [getDecorateSubscribeMethods()](./socketio.socketiocontrollerfactory.getdecoratesubscribemethods.md) | <code>protected</code> |  |
|  [getDecorateSubscribeMethodsByEventName()](./socketio.socketiocontrollerfactory.getdecoratesubscribemethodsbyeventname.md) |  |  |
|  [registerSubscribeMethods()](./socketio.socketiocontrollerfactory.registersubscribemethods.md) | <code>protected</code> |  |
|  [setup()](./socketio.socketiocontrollerfactory.setup.md) |  | Set up the controller for the given socket |


